# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Integer64 to Integer64 round-trip demo
#'
#' This function takes an integer64-valued input vector, converts
#' it to the equivalent \code{int64_t} vector in C++, displays each
#' element after first adding one, and returns the modified vector.
#'
#' @param vec An \code{integer64}-classed vector from R
#' @return A modified \code{integer64} vector where each element
#' increased by one
#' @examples
#' # generate all powers of 10 fro 0 .. 18
#' if (requireNamespace("bit64", quietly=TRUE)) {
#'     v <- bit64::as.integer64(10^seq(0,18))
#'     # pass them to function which will add one to each, print  and return
#'     Int64toInt64(v)
#' }
Int64toInt64 <- function(vec) {
    .Call(`_RcppInt64_Int64toInt64`, vec)
}

#' nanotime to nanotime round-trip demo
#'
#' This function takes an nanotime-valued input vector, converts
#' it to the equivalent \code{int64_t} vector in C++, displays each
#' element after first adding one, and returns the modified vector.
#'
#' @param vec A \code{nanotime}-classed vector from R
#' @return A modified \code{nanotime} vector where each element
#' increased by one
#' @examples
#' # generate all powers of 10 fro 0 .. 18
#' if (requireNamespace("nanotime", quietly=TRUE)) {
#'     v <- nanotime::as.nanotime(10^seq(0,18))
#'     # pass them to function which will add one to each, print  and return
#'     NanotimeToNanotime(v)
#' }
NanotimeToNanotime <- function(vec) {
    .Call(`_RcppInt64_NanotimeToNanotime`, vec)
}

